Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040524
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] Z. Othersminorhave not tried2019-04-04 13:422019-05-21 15:16
ReporteralostaleView Statuspublic 
Assigned Tononofrancisco 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q3
StatusclosedFix in branchFixed in SCM revision5ca65fe55092
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040524: use proper character escape

DescriptionIn the following classes
  src.org.openbravo.erpCommon.ad_reports.GeneralAccountingReports
  src.org.openbravo.erpCommon.ad_reports.ReportGeneralLedger
  src.org.openbravo.erpCommon.ad_reports.ReportGeneralLedgerJournal
  src.org.openbravo.erpCommon.ad_reports.ReportInvoiceCustomerDimensionalAnalysesJR
  src.org.openbravo.erpCommon.ad_reports.ReportMaterialDimensionalAnalysesJR
  src.org.openbravo.erpCommon.ad_reports.ReportSalesDimensionalAnalyzeJR
  src.org.openbravo.erpCommon.ad_reports.ReportShipmentDimensionalAnalyzeJR
  src.org.openbravo.erpCommon.ad_reports.ReportTrialBalance

escape html when directly printing it without xmlengine.
Steps To Reproduce-
Proposed SolutionIe use StringEscapeUtils.escapeHtml
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 00407023.0PR19Q2 closednonofrancisco use proper character escape 
depends on backport 00407033.0PR19Q1.1 closednonofrancisco use proper character escape 
depends on backport 00407043.0PR18Q4.4 closednonofrancisco use proper character escape 
related to defect 0040646 closednonofrancisco use proper html escape in old selectors 

-  Notes
(0110996)
vmromanos (developer)
2019-04-05 10:19

Backport to previous releases
(0111391)
nonofrancisco (developer)
2019-04-30 16:41

Test Plan:

Logged as Openbravo/F&B International Group Admin
Open Balance sheet and P&L structure window
  Fill in the filters:
    General Ledger: F&B España, S.A. US/A/Euro
    Accounting Report: Balance de Situación
    Organization: F&B España, S.A
    Account Level: Account
    Year: 2018
    Reference Year: 2017
  Run PDF report
  Verify the report was successfully generated

Open General Ledger Report window
  Fill in the filters:
    From Date: 01-01-2018
    To Date: today
    Organization: F&B España - Región Norte
    General Ledger: F&B España, S.A. US/A/Euro
  Click Search button
  Verify the report was successfully generated

Open Journal Entries Report window
  Fill in the filters:
    Organization: F&B España - Región Norte
    General Ledger: F&B España, S.A. US/A/Euro
  Click Search button
  Verify the report was successfully generated

Open Sales Invoice Dimensional Report window
  Fill in the filters:
    From Date: 01-01-2018
    To Date: today
    Organization: F&B España - Región Norte
    Dimensions: Product
  Run the report in HTML, PDF and EXCEL formats
  Verify the reports were successfully generated

Open Goods Receipts Dimensional Report window
  Fill in the filters:
    From Date: 01-01-2018
    To Date: today
    Organization: F&B España - Región Norte
    Dimensions: Product
  Run the report in HTML and PDF formats
  Verify the reports were successfully generated

Open Sales Dimensional Report window
  Fill in the filters:
    From Date: 01-01-2018
    To Date: today
    Organization: F&B España - Región Norte
    Dimensions: Product
  Run the report in HTML and PDF formats
  Verify the reports were successfully generated

Open Shipments Dimensional Report window
  Fill in the filters:
    From Date: 01-01-2018
    To Date: today
    Organization: F&B España - Región Norte
    Dimensions: Product
  Run the report in HTML, PDF and EXCEL formats
  Verify the reports were successfully generated

Open Trial Balance window
  Fill in the filters:
    From Date: 01-01-2018
    To Date: today
    Organization: F&B España - Región Norte
    General Ledger: F&B España, S.A. US/A/Euro
  Run the report in HTML, PDF and EXCEL formats
  Verify the reports were successfully generated
(0111393)
hgbot (developer)
2019-04-30 16:55

Repository: erp/devel/pi
Changeset: 5ca65fe5509258f7b11597c693dc992bad2f2464
Author: Nono Carballo <nonofce <at> gmail.com>
Date: Tue Apr 30 12:18:41 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/5ca65fe5509258f7b11597c693dc992bad2f2464 [^]

Fixes issue 40524: Escapes values printed to servlet response

Escapes values before printing them to Servlet response.

---
M src/org/openbravo/erpCommon/ad_reports/GeneralAccountingReports.java
M src/org/openbravo/erpCommon/ad_reports/ReportGeneralLedger.java
M src/org/openbravo/erpCommon/ad_reports/ReportGeneralLedgerJournal.java
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesJR.java
M src/org/openbravo/erpCommon/ad_reports/ReportMaterialDimensionalAnalysesJR.java
M src/org/openbravo/erpCommon/ad_reports/ReportSalesDimensionalAnalyzeJR.java
M src/org/openbravo/erpCommon/ad_reports/ReportShipmentDimensionalAnalyzeJR.java
M src/org/openbravo/erpCommon/ad_reports/ReportTrialBalance.java
---
(0111401)
Sandrahuguet (developer)
2019-04-30 17:00

code review + testing ok
(0112004)
hudsonbot (developer)
2019-05-21 15:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9b8f37d9d85e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-04-04 13:42 alostale New Issue
2019-04-04 13:42 alostale Assigned To => Triage Finance
2019-04-04 13:42 alostale Modules => Core
2019-04-04 13:42 alostale Triggers an Emergency Pack => No
2019-04-05 10:10 vmromanos Status new => scheduled
2019-04-05 10:10 vmromanos Assigned To Triage Finance => nonofrancisco
2019-04-05 10:19 vmromanos Note Added: 0110996
2019-04-18 14:03 alostale Relationship added related to 0040646
2019-04-29 13:35 nonofrancisco Status scheduled => acknowledged
2019-04-29 13:35 nonofrancisco Status acknowledged => scheduled
2019-04-30 16:41 nonofrancisco Note Added: 0111391
2019-04-30 16:55 hgbot Checkin
2019-04-30 16:55 hgbot Note Added: 0111393
2019-04-30 16:55 hgbot Status scheduled => resolved
2019-04-30 16:55 hgbot Resolution open => fixed
2019-04-30 16:55 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/5ca65fe5509258f7b11597c693dc992bad2f2464 [^]
2019-04-30 17:00 Sandrahuguet Review Assigned To => Sandrahuguet
2019-04-30 17:00 Sandrahuguet Note Added: 0111401
2019-04-30 17:00 Sandrahuguet Status resolved => closed
2019-04-30 17:00 Sandrahuguet Fixed in Version => 3.0PR19Q3
2019-05-21 15:16 hudsonbot Checkin
2019-05-21 15:16 hudsonbot Note Added: 0112004


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker